Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre Companion

Notices

Reply
 
Thread Tools Search this Thread
Old 08-05-2020, 01:32 PM   #1
thegameksk
Member
thegameksk began at the beginning.
 
Posts: 17
Karma: 10
Join Date: Jul 2020
Device: Moon+
Error communicating with device

I keep getting the following:
Device closed the network connection

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 90, in run
File "site-packages\calibre\gui2\device.py", line 594, in _upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 1493, in upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 710, in _put_file
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 648, in _call_client
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 684, in _receive_from_client
ControlError: Device closed the network connection

How do I fix this?
thegameksk is offline   Reply With Quote
Old 08-05-2020, 02:10 PM   #2
PMrev
Groupie
PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.
 
Posts: 195
Karma: 103650
Join Date: Feb 2020
Device: kindle
Quote:
Originally Posted by thegameksk View Post
I keep getting the following:
Device closed the network connection

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 90, in run
File "site-packages\calibre\gui2\device.py", line 594, in _upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 1493, in upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 710, in _put_file
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 648, in _call_client
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 684, in _receive_from_client
ControlError: Device closed the network connection

How do I fix this?
Hello,

Can you send us a debug log?

Also is this happening on wireless connection?

Thanks,
Alex
PMrev is offline   Reply With Quote
Advert
Old 08-05-2020, 06:09 PM   #3
thegameksk
Member
thegameksk began at the beginning.
 
Posts: 17
Karma: 10
Join Date: Jul 2020
Device: Moon+
Quote:
Originally Posted by PMrev View Post
Hello,

Can you send us a debug log?

Also is this happening on wireless connection?

Thanks,
Alex
Hi. Yes its on wireless connection.
Attached Files
File Type: txt tmp7tyto9.txt (2.9 KB, 96 views)
thegameksk is offline   Reply With Quote
Old 08-05-2020, 07:07 PM   #4
PMrev
Groupie
PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.
 
Posts: 195
Karma: 103650
Join Date: Feb 2020
Device: kindle
Quote:
Originally Posted by thegameksk View Post
Hi. Yes its on wireless connection.
Will follow up after looking at the logs.
PMrev is offline   Reply With Quote
Old 08-06-2020, 01:14 AM   #5
PMrev
Groupie
PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.PMrev is cognizant of many things which escape those who dream only by night.
 
Posts: 195
Karma: 103650
Join Date: Feb 2020
Device: kindle
Quote:
Originally Posted by thegameksk View Post
Hi. Yes its on wireless connection.
Can you send the CC logs please.
PMrev is offline   Reply With Quote
Advert
Old 08-06-2020, 12:27 PM   #6
thegameksk
Member
thegameksk began at the beginning.
 
Posts: 17
Karma: 10
Join Date: Jul 2020
Device: Moon+
Quote:
Originally Posted by PMrev View Post
Can you send the CC logs please.
Here you go.

Edit: Now I sometimes get the error message host machine closed connection. It seems to happen with my picture heavy books which are large in szie and transfer slower.

[Errno 10053] An established connection was aborted by the software in your host machine

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 90, in run
File "site-packages\calibre\gui2\device.py", line 594, in _upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 1493, in upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 728, in _put_file
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 610, in _send_byte_string
error: [Errno 10053] An established connection was aborted by the software in your host machine



Edit 2: calibre, version 4.22.0
ERROR: Error: Error communicating with device

[Errno 10054] An existing connection was forcibly closed by the remote host

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 90, in run
File "site-packages\calibre\gui2\device.py", line 594, in _upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 1493, in upload_books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 728, in _put_file
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 610, in _send_byte_string
error: [Errno 10054] An existing connection was forcibly closed by the remote host
Attached Files
File Type: txt calibre.companion.debug.log.txt (291.5 KB, 83 views)

Last edited by thegameksk; 08-07-2020 at 01:05 AM.
thegameksk is offline   Reply With Quote
Old 08-10-2020, 05:14 AM   #7
vikarti
Zealot
vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.
 
Posts: 130
Karma: 1004974
Join Date: May 2013
Location: N/A
Device: Primary: Calibre Companion + Moon+ Pro + lot of android devices
This sometimes (on normal android devices, a lot of likebook mars with eInk) happens for me too.
Calibre's error message
calibre, version 4.22.0
ОШИБКА: Ошибка: Ошибка подключения к устройству

There was a timeout while communicating with the device in function: Device did not respond in reasonable time

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 90, in run
File "site-packages\calibre\gui2\device.py", line 513, in _books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 1295, in books
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 648, in _call_client
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 680, in _receive_from_client
TimeoutError: There was a timeout while communicating with the device in function: Device did not respond in reasonable time

companion log sent via e-mail

~7k books in sync list/on device.

Last edited by vikarti; 08-10-2020 at 02:52 PM.
vikarti is offline   Reply With Quote
Old 08-17-2020, 12:13 PM   #8
codychan
Connoisseur
codychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud of
 
Posts: 99
Karma: 27446
Join Date: Nov 2018
Device: Kobo Aura One, Kobo Forma
Any updates? calibre suddenly couldn't connect to my Kobo device after I installed the latest version of firmware(Kobo Firmware 4.23.15505) days ago.

Here is the error message when trying to connect:

```
calibre, version 4.22.0
ERROR: Error: Error communicating with device

CorruptError: database disk image is malformed

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 90, in run
File "site-packages\calibre\gui2\device.py", line 543, in _sync_booklists
File "calibre_plugins.kobotouch_extended.device.driver" , line 483, in sync_booklists
File "site-packages\calibre\devices\kobo\driver.py", line 970, in sync_booklists
File "site-packages\calibre\devices\kobo\driver.py", line 2485, in update_device_database_collections
File "site-packages\calibre\devices\kobo\driver.py", line 2973, in set_bookshelf
File "c:\t\t\apsw-47cp24d7\src\cursor.c", line 236, in resetcursor
CorruptError: CorruptError: database disk image is malformed

```

And it failed to backup my database too since it failed to connect:

```
On tree page 425139 cell 61: 2nd reference to page 396348
row 2309 missing from index shelfcontent_datemodified_index
row 2309 missing from index sqlite_autoindex_ShelfContent_1
wrong # of entries in index shelfcontent_datemodified_index
wrong # of entries in index sqlite_autoindex_ShelfContent_1

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 90, in run
File "calibre_plugins.koboutilities.jobs", line 197, in do_device_database_backup
Exception:
*** in database main ***
On tree page 425139 cell 61: 2nd reference to page 396348
row 2309 missing from index shelfcontent_datemodified_index
row 2309 missing from index sqlite_autoindex_ShelfContent_1
wrong # of entries in index shelfcontent_datemodified_index
wrong # of entries in index sqlite_autoindex_ShelfContent_1
```


BUT it actually successfully sent books to my Kobo Forma.

Last edited by codychan; 08-17-2020 at 12:20 PM.
codychan is offline   Reply With Quote
Old 08-17-2020, 02:25 PM   #9
vikarti
Zealot
vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.
 
Posts: 130
Karma: 1004974
Join Date: May 2013
Location: N/A
Device: Primary: Calibre Companion + Moon+ Pro + lot of android devices
Quote:
Originally Posted by codychan View Post
Any updates? calibre suddenly couldn't connect to my Kobo device after I installed the latest version of firmware(Kobo Firmware 4.23.15505) days ago.

Here is the error message when trying to connect:

```
calibre, version 4.22.0
ERROR: Error: Error communicating with device

CorruptError: database disk image is malformed
.
Looks like calibre's database is corrupted.
Try with new Calibre library.
vikarti is offline   Reply With Quote
Old 08-18-2020, 01:44 AM   #10
codychan
Connoisseur
codychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud ofcodychan has much to be proud of
 
Posts: 99
Karma: 27446
Join Date: Nov 2018
Device: Kobo Aura One, Kobo Forma
Quote:
Originally Posted by vikarti View Post
Looks like calibre's database is corrupted.
Try with new Calibre library.

Maybe the new firmware made some changes to database and calibre cannot hande it since the kobo device itself works totally OK.

I guess the calibre program needs updates.
codychan is offline   Reply With Quote
Old 10-03-2020, 06:23 PM   #11
thekidsmom
Connoisseur
thekidsmom began at the beginning.
 
Posts: 58
Karma: 10
Join Date: Oct 2010
Location: Texas
Device: Galaxy Tab 3, nook, Nexus 7, iPad
I'm getting a similar error message (see below). I was able to connect wirelessly with my Samsung Tablet just fine, but received the error message when trying to connect wirelessly to my Samsung S9 phone. Any brains out there bigger than mine that can offer assistance? TIA.

Device closed the network connection

Traceback (most recent call last):
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 649, in _call_client
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 614, in _send_byte_string
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 89, in run
File "site-packages\calibre\gui2\device.py", line 542, in _sync_booklists
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 1425, in sync_booklists
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 660, in _call_client
calibre.devices.errors.ControlError: Device closed the network connection
thekidsmom is offline   Reply With Quote
Old 10-04-2020, 03:24 AM   #12
vikarti
Zealot
vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.vikarti ought to be getting tired of karma fortunes by now.
 
Posts: 130
Karma: 1004974
Join Date: May 2013
Location: N/A
Device: Primary: Calibre Companion + Moon+ Pro + lot of android devices
Quote:
Originally Posted by thekidsmom View Post
I'm getting a similar error message (see below). I was able to connect wirelessly with my Samsung Tablet just fine, but received the error message when trying to connect wirelessly to my Samsung S9 phone. Any brains out there bigger than mine that can offer assistance? TIA.

Device closed the network connection

Traceback (most recent call last):
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 649, in _call_client
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 614, in _send_byte_string
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 89, in run
File "site-packages\calibre\gui2\device.py", line 542, in _sync_booklists
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 1425, in sync_booklists
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 50, in _synchronizer
File "site-packages\calibre\devices\smart_device_app\driver.p y", line 660, in _call_client
calibre.devices.errors.ControlError: Device closed the network connection
You need to get CC's logfile (Settings->Other->e-mail a debug log->insert your own address). Check it for something obvious (one example:I have a lot of issues where CC refuses to sync specific files on specific devices because of filename length issue and it will be different if CC's folder in different places).

Or just don't change e-mail in this dialog but add some words about what you did and send it to CC's developers.

If you decide to post this log here - better check it doesn't containt something you don't want other to see (like books you hve)
vikarti is offline   Reply With Quote
Old 10-09-2020, 05:57 PM   #13
thekidsmom
Connoisseur
thekidsmom began at the beginning.
 
Posts: 58
Karma: 10
Join Date: Oct 2010
Location: Texas
Device: Galaxy Tab 3, nook, Nexus 7, iPad
Thanks vikarti; prior to reading your response I tried the old standby of rolling back Calibre to v4.23. That solved the problem I posted about above. Now I've got a problem with the count pages plugin, but that's another thread.

Thanks again.
thekidsmom is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Aura One: Input/Output error - Error communicating with device bearymore Devices 2 07-13-2020 01:37 PM
Error communicating with device, Cannot write to file, Unspecified error sunishun Devices 6 02-04-2019 10:37 PM
Error: Error communicating with device message techie6 Devices 5 04-02-2018 10:25 PM
calibre, version 0.8.8 ERROR: Error: Error communicating with device no such column: e-bookuser Devices 1 07-03-2011 05:09 PM
ver 0.6.3 error: Error communicating with device PRS-505 scripo Calibre 4 08-01-2009 11:38 PM


All times are GMT -4. The time now is 02:04 PM.


MobileRead.com is a privately owned, operated and funded community.